* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}
/*
/*<<<---------------------%%%%%%%%%%%%%///////START OF NAVBAR CSS\\\\\\\%%%%%%%%%%%%%%%%--------------------------------->>>*/

.cart-wrapper {
  position: relative;
  display: inline-block;
}

/*###^^^^^^^^^^^^^^^START OF SMALL SCREENS^^^^^^^^^^^^^^^###*/

@media screen and (max-width: 767px) {
.cart-count {
position: absolute;
top: -10px;
right: -11px;
background-color: red;
color: white;
border-radius: 50%;
width: 20px;
height: 20px;
font-size: 10px; /* adjust the text height */
display: flex;
justify-content: center;
align-items: center;
}
}

@media screen and (max-width: 767px) {
  #search-bar {
    width: 220px;
  }
}

/*###^^^^^^^^^^^^^^^END OF SMALL SCREENS^^^^^^^^^^^^^^^###*/

/*------------------------------------------------------------------------------------------------------------------*/

/*###^^^^^^^^^^^^^^^START OF MEDIUM SCREENS^^^^^^^^^^^^^^^###*/

@media screen and (min-width: 768px) and (max-width: 1023px) {
  .cart-wrapper img {
width: 50px; /* adjust the width of the cart logo */
height: auto;
margin-right: 10px;
}
}

@media screen and (min-width: 768px) and (max-width: 1023px) {
.cart-count {
position: absolute;
top: -10px;
right: -11px;
background-color: red;
color: white;
border-radius: 50%;
width: 30px;
height: 30px;
font-size: 15px; /* adjust the text height */
display: flex;
justify-content: center;
align-items: center;
}
}

@media screen and (min-width: 768px) and (max-width: 1023px) {
._logo {
max-width: 150% !important; /* adjust the width of the cart logo */
height: auto;
}
}


@media screen and (min-width: 768px) and (max-width: 1023px) {
  #search-bar {
    width: 375px;
  }
}


/*###^^^^^^^^^^^^^^^END OF MEDIUM SCREENS^^^^^^^^^^^^^^^###*/

/*------------------------------------------------------------------------------------------------------------------*/

/*###^^^^^^^^^^^^^^^START OF LARGE SCREENS^^^^^^^^^^^^^^^###*/

@media screen and (min-width: 1024px) {
  .cart-wrapper img {
width: 50px; /* adjust the width of the cart logo */
height: auto;
margin-right: 10px;
}
}

@media screen and (min-width: 1024px) {
.cart-count {
position: absolute;
top: -10px;
right: -11px;
background-color: red;
color: white;
border-radius: 50%;
width: 30px;
height: 30px;
font-size: 15px; /* adjust the text height */
display: flex;
justify-content: center;
align-items: center;
}
}

@media screen and (min-width: 1024px) {
._logo {
max-width: 130% !important; /* adjust the width of the cart logo */
height: auto;
}
}

@media screen and (min-width: 1024px) {
  #search-bar {
    width: 650px;
  }
}

/*###^^^^^^^^^^^^^^^END OF LARGE SCREENS^^^^^^^^^^^^^^^###*/

.nav-link {
  height: 40px;
}
._nav-seller {
  justify-content: start!important;
}
._nav-username {
  justify-content: end!important;
}
.cardHighlight {
  min-height: 100%;
}

/*<<<--------------------- //END NAVBAR CSS--------------------------------->>>*/



/*<<<--------------------%%%%%%%%%%%%%///////START OF REGISTER CSS\\\\\\\%%%%%%%%%%%%%%%%-------------------------------->>>*/
/*._registration_form {
  margin-top: 30vh; /* vh stands for viewport height, so 20% of the screen height 
}
*/

._registration_form {
  font-weight: bold;
}


@media screen and (max-width: 767px) {
._logo1 {
    width: 45%;
  }
}


@media screen and (min-width: 768px) and (max-width: 1023px) {
._logo1 {
width: 75%;;
}
}

@media screen and (min-width: 1024px) {
 ._logo1 {
width: 100%; /* adjust the width of the cart logo */
}
}

._theMargin {
  margin-top: 10rem;
}


@media screen and (max-width: 767px) {
._theMargin {
    margin-top: 7rem;
  }
}

.book-card {
  min-height: 80vh;
 /* adjust this value as needed */
}

.star-rating {
  display: inline-block;
  font-size: 1.5rem; /* adjust the font size as needed */
}

.star-rating:before {
  content: "\2605\2605\2605\2605\2605"; /* five filled stars */
  color: #ccc; /* default color for unfilled stars */
}


@keyframes addToCart {
  0% {
    transform: translate(0, 0);
  }
  50% {
    transform: translate(50%, -50%);
  }
  100% {
    transform: translate(100%, -100%);
  }
}

.book-img {
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  animation: addToCart 1s ease-in-out;
}



.star-rating[data-rating^="1"]::before {
  content: "\2605\2606\2606\2606\2606"; /* one filled star and four unfilled stars */
  color: gold;
}


.star-rating[data-rating^="2"]::before {
  content: "\2605\2605\2606\2606\2606"; /* two filled stars and three unfilled stars */
  color: gold;
}


.star-rating[data-rating^="3"]::before {
  content: "\2605\2605\2605\2606\2606"; /* three filled stars and two unfilled stars */
  color: gold;
}



.star-rating[data-rating^="4"]::before {
content: "\2605\2605\2605\2605\2606"; /* four filled stars and one unfilled star */
color: gold;
}



.star-rating[data-rating^="5"]::before {
content: "\2605\2605\2605\2605\2605"; /* five filled stars */
color: gold;
}


._cardX{
  margin-bottom: 0!important;
}

._card_title{
  color: orange;
}

._sort_button{
  color: red! important;
}

._genre_buttons{
  margin-right: 3rem!important;
}